Identification

- « Thread::getCurrentThread

- Thread::getThreadId »

- PHP Manual
- Thread
- Identification

# Thread::getCurrentThreadId

(PECL pthreads >= 2.0.0)

Thread::getCurrentThreadId — Identification

### Description

public static Thread::getCurrentThreadId(): int

Will return the identity of the currently executing Thread

### Parameters

This function has no parameters.

### Return Values

A numeric identity

### Examples

Example #1 Return the identity of the currently executing Thread

    <?phpclass My extends Thread {    public function run() {        printf("%s is Thread #%lu\n", __CLASS__, Thread::getCurrentThreadId());    }}$my = new My();$my->start();?>

The above example will output:

    My is Thread #123456778899